version: "2.1"
services:
  calibre-web:
    image: ghcr.io/linuxserver/calibre-web
    container_name: ${CALIBRE_WEB_NAME} 
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Hong_Kong
      - DOCKER_MODS=linuxserver/calibre-web:calibre
    volumes:
      - ${CALIBRE_ROOT}/calibre-web/config:/config 
      - ${CALIBRE_ROOT}/books:/books
    ports:
      - 8083:8083
    restart: "no" 


  calibre-web2:
    image: ghcr.io/linuxserver/calibre-web
    container_name: ${CALIBRE_WEB_NAME}2 
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Hong_Kong
      - DOCKER_MODS=linuxserver/calibre-web:calibre
    volumes:
      - ${CALIBRE_ROOT}/calibre-web2/config:/config 
      - ${CALIBRE_ROOT}/books:/books
    ports:
      - 8084:8083
    restart: "no" 


  calibre:
    image: ghcr.io/linuxserver/calibre
    container_name: ${CALIBRE_NAME} 
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Hong_Kong
      - GUAC_USER=tuffy #  
      - GUAC_PASS=5f4dcc3b5aa765d61d8327deb882cf99 # password=password
      - UMASK_SET=022 #optional
      - CLI_ARGS= #optional
    volumes:
      - ${CALIBRE_ROOT}/books:/config
    ports:
      - 8087:8080
      - 8081:8081
    restart: "no" 
